program prvi;
function nad(a:integer; b:integer; c:integer): integer;
var t,tb,tc,p,n,pc: integer;
begin
tb:=10;
tc:=10;
t:=0;
p:=b;
while p>0 do
begin
tb:=10*tb;
p:=p div 10;
end;
pc:=c;
while pc>0 do
begin
tc:=10*tc;
pc:=pc div 10;
end;
t:=tb*tc;
n:=t*a;
n:=n+(tc*b);
n:=n+c;
nad:=n
end;
var a,b,c,max,i: integer;
    x: array[0..20000000] of integer;
begin
read(a);
read(b);
read(c);
x[1]:=nad(a, b, c);
x[2]:=nad(a, c, b);
x[3]:=nad(b, a, c);
x[4]:=nad(b, c, a);
x[5]:=nad(c, b, a);
x[6]:=nad(c, a, b);
max:=0;
for i:=1 to 6 do
begin
if x[i]>max then
begin
max:=x[i];
end;
end;
write(max);
end.